<?php
/**
 * Project  	SMS Newsletter by Ozeki
 * Release    	1.0.0
 * @package		SMS Newsletter
 * @subpackage	Backend Administration component
 * @version		$Id$
 * @author		Ozeki Informatics Ltd.
 * @link 		http://www.ozekisms.com, http://sms-integration.com
 * @copyright	Copyright (c) 2000-2010 Ozeki Informatics Ltd. - All rights reserved
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

/*
 *
 * This component provides the backend administration for
 * the SMS Newsletter component. You can sen Newsletters with this 
 * component.
 *
 */
 
 
// No direct access
 
defined( '_JEXEC' ) or die( 'Restricted access' );
class action{

function SendSMS($msg){
global $mainframe;
	$db =& JFactory::getDBO();
	$query = 'SELECT * FROM `#__ozekisms_subscriptions` WHERE `status`=\'subscribed\'';
	$db->setQuery($query);
	$resObj = $db->loadObjectList();
	$res = $db->query();
	$rownum = $db->getNumRows();
	
	
	//quering the parameters
	$pdb =& JFactory::getDBO();
	$pquery = 'SELECT `params` FROM `#__components` WHERE `option`=\'com_smsnewsletter\'';
	$pdb->setQuery($pquery);
	$presObj = $pdb->loadObjectList();
	$params = new JParameter( $presObj[0]->params);
	
	//Ozeki NG settings
	$ozeki_url = $params->get('ozeki_ip');
	$ozeki_user = $params->get('ozeki_user');
	$ozeki_password = $params->get('ozeki_password');
	$ozeki_httpport = $params->get('ozeki_httpport');

	
	//sending the messages to the subscribers
	for ($i=0; $i < $rownum; $i++){
	$phone = $resObj[$i]->phone_number;
	
	
	  $url = 'http://'.$ozeki_url;
	  $url.= ':'.$ozeki_httpport.'/api?';
      $url.= 'username='.$ozeki_user;
      $url.= '&password='.$ozeki_password;
      $url.= '&action=sendmessage';
      $url.= '&messagetype=SMS:TEXT';
      $url.= '&recipient='.urlencode($phone);
      $url.= '&messagedata='.urlencode($msg);
	  
	  print_r ($url);
      $urltouse =  $url;
      $pattern = "/http...([0-9a-zA-Z-.]*).([0-9]*).(.*)/";
    preg_match($pattern,$urltouse,$args);
    $in = "";
    $fp = fsockopen("$args[1]", $args[2], $errno, $errstr, 30);
    if (!$fp) {
       return("$errstr ($errno)");
    } else {
        $out = "GET /$args[3] HTTP/1.1\r\n";
        $out .= "Host: $args[1]:$args[2]\r\n";
        $out .= "User-agent: Ozeki PHP client\r\n";
        $out .= "Accept: */*\r\n";
        $out .= "Connection: Close\r\n\r\n";

        fwrite($fp, $out);
        while (!feof($fp)) {
           $in.=fgets($fp, 128);
			}
		}
    fclose($fp);
	}
	return($in);
	}

function SaveNewsletter($msg){
	$db =& JFactory::getDBO();
	$query = 'INSERT INTO `#__ozekisms_newsletters` (`newsletter`, `sent`, `sent_date`) VALUES (\''.$msg.'\', \'1\', \''.date("Y-m-d H:i:s").'\');';
	$db->setQuery($query);
	$res = $db->query();
}
	
function DeleteNewsLetter($newsletter){
	$db =& JFactory::getDBO();
	for ($i=0; $i<count($newsletter); $i++){
	$query = 'DELETE FROM `#__ozekisms_newsletters` WHERE `id` = \''.$newsletter[$i].'\';';
	$db->setQuery($query);
	$res = $db->query();
	}
	
}

//save the subscriber into the database
function saveSubscriber($phone, $status){
	$db =& JFactory::getDBO();
	$query = 'INSERT INTO `#__ozekisms_subscriptions` (`phone_number`, `status`) VALUES (\''.$phone.'\', \''.$status.'\');';
	$db->setQuery($query);
	$res = $db->query();
}


function editSubscriberSave($phone, $status){
	$db =& JFactory::getDBO();
	$query = 'UPDATE `jos_ozekisms_subscriptions` SET `status`=\''.$status.'\' WHERE `phone_number`=\''.$phone.'\';';
	$db->setQuery($query);
	$res = $db->query();
}

function deleteSub($cid){
	$db =& JFactory::getDBO();
	for ($i=0; $i<count($cid); $i++){
	$query = 'DELETE FROM `#__ozekisms_subscriptions` WHERE `id` = \''.$cid[$i].'\';';
	$db->setQuery($query);
	$res = $db->query();
	}
}

}