<?php 
/**
 * Project  	SMS Newsletter by Ozeki
 * Release    	1.0.0
 * @package		SMS Newsletter
 * @subpackage	Backend Administration component
 * @version		$Id$
 * @author		Ozeki Informatics Ltd.
 * @link 		http://www.ozekisms.com, http://sms-integration.com
 * @copyright	Copyright (c) 2000-2010 Ozeki Informatics Ltd. - All rights reserved
 * @license		http://www.gnu.org/copyleft/gpl.html GNU/GPL
 */

/*
 *
 * This component provides the backend administration for
 * the SMS Newsletter component. You can sen Newsletters with this 
 * component.
 *
 */
 
 
// No direct access
 
defined( '_JEXEC' ) or die( 'Restricted access' );

class HTMLdisplayer{


//Main page displayer functions

//displaying the newsletter page
function DisplayNewsLetters(){
//Displaying the toolbars
JToolBarHelper::title( JText::_( 'Newsletter management' ), 'generic.png' );
JToolBarHelper::addNewX( 'createNews', JText::_( 'Create new' ));
JToolBarHelper::preferences('com_smsnewsletter',400);
JToolBarHelper::deleteList(JText::_('Are you sure want to delete the selected newsletters?'), 'deleteNews', 'Delete');

$db =& JFactory::getDBO();
$query = 'SELECT * FROM `#__ozekisms_newsletters';
$db->setQuery($query);
$resObj = $db->loadObjectList();
$res = $db->query();
$rownum = $db->getNumRows();

?>

	<form action="index.php" method="post" name="adminForm">
<div id="editcell">
    <table class="adminlist">
    <thead>
        <tr>
            <th width="5">
                <?php echo JText::_( 'ID' ); ?>
            </th>
            <th width="20">
              <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo $rownum; ?>);" />
            </th>
            <th>
                <?php echo JText::_( 'Newsletter' ); ?>
            </th>
			<th>
                <?php echo JText::_( 'Sent' ); ?>
            </th>
			<th>
                <?php echo JText::_( 'Sent date' ); ?>
            </th>
        </tr>            
    </thead>
	
    <?php
    $k = 0;
    for ($i=0, $n=$rownum; $i < $n; $i++)
    {
     
        $checked    = JHTML::_( 'grid.id', $i, $resObj[$i]->id );
        ?>
        <tr class="<?php echo "row$k"; ?>">
            <td>
                <?php echo $i+1; ?>
            </td>
            <td>
              <?php echo $checked; ?>
            </td>
            <td>
                <?php echo $resObj[$i]->newsletter; ?>
            </td>
			<td>
              <?php $issent = $resObj[$i]->sent; 
				if ($issent){
				echo "SENT";
				}else{
				echo "Not Sent";
				}
			  ?>
            </td>
			<td>
              <?php echo $resObj[$i]->sent_date; ?>
            </td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
    </table>
</div>
 
<input type="hidden" name="option" value="com_smsnewsletter" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="smsnewsletter" />
 
</form>

<?php
	}


//displaying the subscriber page
function DisplaySubscribers(){
//Displaying the toolbars
JToolBarHelper::title( JText::_( 'Subscriber management' ), 'generic.png' );
JToolBarHelper::addNewX( 'createSub', JText::_( 'Create new' ));
JToolBarHelper::preferences('com_smsnewsletter',400);
JToolBarHelper::deleteList(JText::_('Are you sure want to delete this subscriber?'), 'deleteSub', JText::_('Delete'));


$db =& JFactory::getDBO();
$query = 'SELECT * FROM `#__ozekisms_subscriptions';
$db->setQuery($query);
$resObj = $db->loadObjectList();
$res = $db->query();
$rownum = $db->getNumRows();


?>

	<form action="index.php" method="post" name="adminForm">
<div id="editcell">
    <table class="adminlist">
    <thead>
        <tr>
            <th width="5">
                <?php echo JText::_( 'ID' ); ?>
            </th>
            <th width="20">
              <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo $rownum; ?>);" />
            </th>
            <th>
                <?php echo JText::_( 'Newsletter' ); ?>
            </th>
			<th>
                <?php echo JText::_( 'Status' ); ?>
            </th>
        </tr>            
    </thead>
	
    <?php
    $k = 0;
    for ($i=0, $n=$rownum; $i < $n; $i++)
    {
     
        $checked    = JHTML::_( 'grid.id', $i, $resObj[$i]->id );

        ?>
        <tr class="<?php echo "row$k"; ?>">
            <td>
                <?php echo $i+1; ?>
            </td>
            <td>
              <?php echo $checked; ?>
            </td>
            <td>
                
				<a href="<?php echo JRoute::_('index.php?option=com_smsnewsletter&task=editSub&cid[]='.$resObj[$i]->id); ?>"><?php echo $resObj[$i]->phone_number; ?></a>
            </td>
			<td>
              <?php echo $resObj[$i]->status; ?>
            </td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
    </table>
</div>
 
<input type="hidden" name="option" value="com_smsnewsletter" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="smsnewsletter" />
 
</form>

<?php
	}






//displaying the configuration page
function DisplayConfig(){
JToolBarHelper::title( JText::_( 'Ozeki NG - SMS Gateway options' ), 'generic.png' );
JToolBarHelper::save( 'saveConfig', JText::_( 'Save configuration' ));
JToolBarHelper::cancel( 'cancelConfig', JText::_( 'Cancel' ));
?>

<form action="index.php" method="post" name="adminForm">
<div id="editcell">
    <table class="adminlist">
    <thead>
        <tr>
            <th width="5">
                <?php echo JText::_( 'ID' ); ?>
            </th>
            <th width="20">
              <input type="checkbox" name="toggle" value="" onclick="checkAll(<?php echo $rownum; ?>);" />
            </th>
            <th>
                <?php echo JText::_( 'Newsletter' ); ?>
            </th>
			<th>
                <?php echo JText::_( 'Status' ); ?>
            </th>
        </tr>            
    </thead>
	
    <?php
    $k = 0;
    for ($i=0, $n=$rownum; $i < $n; $i++)
    {
     
        $checked    = JHTML::_( 'grid.id', $i, $resObj[$i]->id );
     //print_r ($checked)
        ?>
        <tr class="<?php echo "row$k"; ?>">
            <td>
                <?php echo $i+1; ?>
            </td>
            <td>
              <?php echo $checked; ?>
            </td>
            <td>
                <?php echo $resObj[$i]->phone_number; ?>
            </td>
			<td>
              <?php echo $resObj[$i]->status; ?>
            </td>
			<td>
              <?php echo $resObj[$i]->sent_date; ?>
            </td>
        </tr>
        <?php
        $k = 1 - $k;
    }
    ?>
    </table>
</div>
 
<input type="hidden" name="option" value="com_smsnewsletter" />
<input type="hidden" name="task" value="" />
<input type="hidden" name="boxchecked" value="0" />
<input type="hidden" name="controller" value="smsnewsletter" />
 
</form>
<?php
}

//pages related to the Newsletter page

//"create a newsletter" page
function CreateNewsLetter(){
JToolBarHelper::title( JText::_( 'SMS Newsletter:<small>[new]</small>' ), 'generic.png' );
JToolBarHelper::save( 'sendMSG', JText::_( 'Send' ));
JToolBarHelper::cancel( 'newsletter', JText::_( 'Cancel' ));
?>
 
 
<form action="index.php?option=com_smsnewsletter" method="post" name="adminForm">
      <table style="width:75%;" class="adminform">
      <tr>
         <th><?php echo JText::_('Message:');?></th>
      </tr>
	  <tr>
		<td><TEXTAREA NAME="message" COLS=60 ROWS=15></TEXTAREA></td>
		</tr>
		<tr>
		<td>&nbsp;&nbsp;Write a message and click on the send button. <br>&nbsp;&nbsp;The message will be send out to the subscribed users.</td>
		</tr>
      </table>
     <input type="hidden" name="option" value="com_smsnewsletter" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="controller" value="smsnewsletter" />
   </form>
 
 <?php

}

function DeleteNewsletter(){
	JController::setRedirect('index.php?option=com_smsnewsletter&task=newsletter');
	JFactory::getApplication()->enqueueMessage( 'Newsletter(s) Successfully deleted' );

}

//empty message error page
function ErrorSendSMS(){
	JController::setRedirect('index.php?option=com_smsnewsletter&task=newsletter');
	JError::raiseWarning( 100, 'Message not sent. Reason: Empty message data. Cannot send empty messages to the subscribers.' );
}

// SMS sent page
function SendSMS(){
	JController::setRedirect('index.php?option=com_smsnewsletter&task=newsletter');
	JFactory::getApplication()->enqueueMessage( 'Newsletter Successfully Sent');
	}


//Create subscriber page
function createSubscriber(){
	JToolBarHelper::title( JText::_( 'Newsletter Subscribers:<small>[new]</small>' ), 'generic.png' );
	JToolBarHelper::save('saveSubscriber',JText::_( 'Save' ));
	JToolBarHelper::cancel( 'subscriber', JText::_( 'Cancel' ));
	?>
	<form action="index.php" method="post" name="adminForm">
      <table style="width:75%;" class="adminform">
      <tr>
         <th><?php echo JText::_('Phone number: ');?></th>
      </tr>
	  <tr>
		<td><input type="text" name="phone_number" /></td>
		</tr>
		<tr>
		<td>
		<input type="radio" name="status" value="subscribed" checked> Subscribe<br>
		<input type="radio" name="status" value="unsubscribed"> Unsubscribe
		</td>
		</tr>
      </table>
     <input type="hidden" name="option" value="com_smsnewsletter" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="controller" value="smsnewsletter" />
   </form>
   <?php
	}
	
function saveSubscriber(){
	JController::setRedirect('index.php?option=com_smsnewsletter&task=subscriber');
	JFactory::getApplication()->enqueueMessage( 'Subscriber Saved Successfully');
}
	
function editSubscriber($subscriber){
	JToolBarHelper::title( JText::_( 'Newsletter Subscribers:<small>[edit]</small>' ), 'generic.png' );
	JToolBarHelper::save('editSubscriber',JText::_( 'Save' ));
	JToolBarHelper::cancel( 'subscriber', JText::_( 'Cancel' ));
	
	//select the subscriber number and the status from the database
	$db =& JFactory::getDBO();
	$query = 'SELECT `phone_number`,`status` FROM `#__ozekisms_subscriptions` WHERE `id`=\''.$subscriber.'\'' ;
	$db->setQuery($query);
	$resObj = $db->loadObjectList();
	
	$phone_number = $resObj[0]->phone_number;
	$status = $resObj[0]->status;
	?>
	<form action="index.php" method="post" name="adminForm">
      <table style="width:75%;" class="adminform">
      <tr>
         <th><?php echo JText::_('Phone number: ');?></th>
      </tr>
	  <tr>
		<td><b><?php echo $phone_number; ?></b></td>
		</tr>
		<tr>
		<td>
		<?php 
		
		if ($status == 'subscribed'){ ?>
		<input type="radio" name="status" value="subscribed" checked> Subscribe<br>
		<input type="radio" name="status" value="unsubscribed"> Unsubscribe
		<?php
		}elseif ($status == 'unsubscribed'){ ?>
		<input type="radio" name="status" value="subscribed"> Subscribe<br>
		<input type="radio" name="status" value="unsubscribed" checked> Unsubscribe
		<?php	}?>
		</td>
		</tr>
      </table>
	  
	  <input type="hidden" name="phone_number" value="<?php echo $phone_number;?>" />
     <input type="hidden" name="option" value="com_smsnewsletter" />
	<input type="hidden" name="task" value="" />
	<input type="hidden" name="controller" value="smsnewsletter" />
   </form>
   <?php
}
	
function deleteSub(){
	JController::setRedirect('index.php?option=com_smsnewsletter&task=subscriber');
	JFactory::getApplication()->enqueueMessage( 'Subscriber(s) Successfully deleted' );

}	
	
	
//end class
}